const fs = require('fs');
const logs = require('../plug-in/colorLog');
const addJSON = require('../plug-in/addJSON');
const {server,work,funct,host,pid} = require('../plug-in/fk2Path')
fs.readFile(server, async(err,data)=>{
    if(err){
        logs.r(`The path '${server}' does not exist!`)
        logs.close()
        return
    }else{
        if (!fs.existsSync(work)) {
            // 工作目录不存在
            fs.mkdirSync(work)
            fs.mkdirSync(funct)
            await addJSON(host)
            fs.mkdirSync(pid)
        }else{
            if(!fs.existsSync(funct)){
                fs.mkdirSync(funct)
            }
            await addJSON(host)
            if(!fs.existsSync(pid)){
                fs.mkdirSync(pid)
            }
        }
        const json = JSON.parse(data)
        // console.log(json);
        // 验证集群秘钥是否合法
        require('./cluster')  
    }
})